Package org.apache.felix.http.jakartawrappers

# Class ServletInputStreamWrapper

java.lang.Object
java.io.InputStream
jakarta.servlet.ServletInputStream
org.apache.felix.http.jakartawrappers.ServletInputStreamWrapper

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class ServletInputStreamWrapper extends jakarta.servlet.ServletInputStream
Servlet input stream wrapper

## Constructor Summary

Constructors
Constructor
Description
`ServletInputStreamWrapper(javax.servlet.ServletInputStream stream)`
Create input stream

## Method Summary

Modifier and Type
Method
Description
`int`
`available()`
`void`
`close()`
`boolean`
`isFinished()`
`boolean`
`isReady()`
`void`
`mark(int readlimit)`
`boolean`
`markSupported()`
`int`
`read()`
`int`
`read(byte[] b)`
`int`
`read(byte[] b, int off, int len)`
`byte[]`
`readAllBytes()`
`int`
`readLine(byte[] b, int off, int len)`
`int`
`readNBytes(byte[] b, int off, int len)`
`byte[]`
`readNBytes(int len)`
`void`
`reset()`
`void`
`setReadListener(jakarta.servlet.ReadListener readListener)`
`long`
`skip(long n)`
`long`
`transferTo(OutputStream out)`

### Methods inherited from class jakarta.servlet.ServletInputStream

`read`

### Methods inherited from class java.io.InputStream

`nullInputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletInputStreamWrapper

public ServletInputStreamWrapper(@NotNull javax.servlet.ServletInputStream stream)
Create input stream

Parameters:
  `stream` - Wrapped stream

## Method Details

### readLine

public int readLine(byte[] b, int off, int len) throws IOException

Overrides:
  `readLine` in class `jakarta.servlet.ServletInputStream`
Throws:
  `IOException`

### isFinished

public boolean isFinished()

Specified by:
  `isFinished` in class `jakarta.servlet.ServletInputStream`

### isReady

public boolean isReady()

Specified by:
  `isReady` in class `jakarta.servlet.ServletInputStream`

### setReadListener

public void setReadListener(jakarta.servlet.ReadListener readListener)

Specified by:
  `setReadListener` in class `jakarta.servlet.ServletInputStream`

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read(byte[] b) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read(byte[] b, int off, int len) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

### readAllBytes

public byte[] readAllBytes() throws IOException

Overrides:
  `readAllBytes` in class `jakarta.servlet.ServletInputStream`
Throws:
  `IOException`

### readNBytes

public byte[] readNBytes(int len) throws IOException

Overrides:
  `readNBytes` in class `jakarta.servlet.ServletInputStream`
Throws:
  `IOException`

### readNBytes

public int readNBytes(byte[] b, int off, int len) throws IOException

Overrides:
  `readNBytes` in class `jakarta.servlet.ServletInputStream`
Throws:
  `IOException`

### skip

public long skip(long n) throws IOException

Overrides:
  `skip` in class `InputStream`
Throws:
  `IOException`

### available

public int available() throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`

### mark

public void mark(int readlimit)

Overrides:
  `mark` in class `InputStream`

### reset

public void reset() throws IOException

Overrides:
  `reset` in class `InputStream`
Throws:
  `IOException`

### markSupported

public boolean markSupported()

Overrides:
  `markSupported` in class `InputStream`

### transferTo

public long transferTo(OutputStream out) throws IOException

Overrides:
  `transferTo` in class `InputStream`
Throws:
  `IOException`